Skip to main content
Internal API to fetch the Product Collections
GET https://services.leadconnectorhq.com/products/collections

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Query parameters

limit
number
default:"20"
The maximum number of items to be included in a single page of results
offset
number
default:"0"
The starting index of the page, indicating the position from which the results should be retrieved.
altId
string
default:"6578278e879ad2646715ba9c"
required
Account Id
altType
string
default:"LOCATION"
required
The type of alt. For now it is only LOCATION
collectionIds
string
Ids of the collections separated by comma(,) for search purposes
name
string
default:"Best Sellers"
Query to search collection based on names

Respuestas

data
array[]
required
Array of Collections
total
number
required
The total count of the collections present, which is useful to calculate the pagination
{
  "data": [
    []
  ],
  "total": 0
}
{}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/products/collections' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/products/collections', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
  },
});
const data = await response.json();
import os, requests
response = requests.request(
    'GET',
    'https://services.leadconnectorhq.com/products/collections',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
    },
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/products/collections');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
    ],
]);
$data = json_decode(curl_exec($ch), true);